# Config

```lua
TZMCGunVanConfig = {}

TZMCGunVanConfig.Locations = {
    vector4(2663.4, 1468.87, 24.24, 87.95),     -- Palmer-Taylor Power Station
    vector4(-2166.2, 4289.27, 48.73, 2.99),     -- Hookies North Chumash
    vector4(1904.89, 565.21, 175.56, 64.14),    -- Land Act Reservoir
    vector4(2340.29, 3049.8, 47.89, 126.14),    -- Thomson Scrapyard
    vector4(1099.72, -332.29, 66.95, 303.87),   -- Hearty Taco Mirror Park
    vector4(779.12, -3264.46, 5.7, 359.72),     -- Terminal (southwest corner)
    vector4(795.66, 1209.76, 338.97, 149.13),   -- Vinewood Sign
    vector4(-29.69, 6435.22, 31.16, 225.96),    -- No Marks Cleaners Paleto Bay
    vector4(-784.54, 5401.67, 33.94, 276.07),   -- Paleto Forest Lumber Yard Paleto Forest
    vector4(1795.78, 3896.59, 33.86, 19.38),    -- Merle Abrahams' house
    vector4(-1331.36, -1163.77, 4.31, 90.62),   -- Magellan Avenue Vespucci Beach
    vector4(1502.98, -2146.84, 76.78, 93.68),   -- Car Scrapyard El Burro Heights
    vector4(1137.16, -1358.75, 34.32, 90.58),   -- LT Weld Supply Co.
    vector4(-57.09, -2659.31, 5.74, 180.31),    -- Walker Ocean Store Port of Los Santos
    vector4(-477.89, -741.33, 30.3, 88.75),     -- Caesars Auto Parking Little Seoul
    vector4(1334.48, 2759.59, 51.07, 356.52),   -- Dirt road overlooking Larry's RV Sales
    vector4(1466.05, 6554.09, 13.76, 301.7),    -- Public toilets west of Procopio Truck Stop
    vector4(974.26, -1718.6, 30.29, 264.62),    -- Fridgit, Forced Labor Place La Mesa
    vector4(275.28, 66.31, 94.11, 160.66),      -- Parking garage south of Oriental Theater Downtown Vinewood
    vector4(-3192.8, 1076.83, 20.6, 155.1),     -- Behind Ink Inc. Tattoos, Chumash Plaza
    vector4(-587.58, -1637.41, 19.61, 60.15),   -- Rogers Salvage & Scrap La Puerta
    vector4(-1454.57, 2668.4, 3.25, 140.45),    -- Under the Fort Zancudo Approach Road bridge Fort Zancudo
    vector4(-20.95, 3046.52, 40.75, 77.09),     -- Next to Ortega's Trailer Zancudo River
}

--[[

    VEHICLE 

    In GTA:O, the color that R* set was Shadow Silver however I think
    this looks better in all black but if you want to change it you 
    can. :)
    
    You can have a look at the full color set here: 
    https://pastebin.com/pwHci0xK

    The plate is also from GTA:0 however you can change that also.

]]

TZMCGunVanConfig.Vehicle = {
    color = {
        primary = 7,
        secondary = 0
    },
    plate = "31EVL500",
    festive = false,    -- This adds some christmas spirit inside the van like christmas lights and cookies
    halloween = true    -- This adds some halloween props inside the van like a pumpkin, shovel, coffin and replaces the current NPC to a zombie
}

--[[

    EVENT

    Below you can send the event to any resouce you would like, for example your own blackmarket 
    resource or inventory. 

    The example here is just opening the shop within QBCore Inventory, the event handler can be 
    seen within the shop.lua file.

]]

TZMCGunVanConfig.Event = {
    type = 'server',            -- Event type (Server or Client)
    event = 'tzmcgunvan:shop',  -- The event ID
    args = {                    -- Any arguments this event requires
        'gun_van',
        'Gun Van',
        {
            { name = 'security_card_01',  price = 5000, amount = 50 },
            { name = 'security_card_02',  price = 5000, amount = 50 },
            { name = 'advanced_lockpick', price = 5000, amount = 50 },
            { name = 'electronickit',     price = 5000, amount = 50 },
            { name = 'gatecrack',         price = 5000, amount = 50 },
            { name = 'thermite',          price = 5000, amount = 50 },
            { name = 'trojan_usb',        price = 5000, amount = 50 },
            { name = 'drill',             price = 5000, amount = 50 },
            { name = 'radioscanner',      price = 5000, amount = 50 },
            { name = 'cryptostick',       price = 5000, amount = 50 },
            { name = 'joint',             price = 5000, amount = 50 },
            { name = 'cokebaggy',         price = 5000, amount = 50 },
            { name = 'crack_baggy',       price = 5000, amount = 50 },
            { name = 'xtcbaggy',          price = 5000, amount = 50 },
            { name = 'coke_brick',        price = 5000, amount = 50 },
            { name = 'weed_brick',        price = 5000, amount = 50 },
            { name = 'coke_small_brick',  price = 5000, amount = 50 },
            { name = 'oxy',               price = 5000, amount = 50 },
            { name = 'meth',              price = 5000, amount = 50 },
            { name = 'weed_whitewidow',   price = 5000, amount = 50 },
            { name = 'weed_skunk',        price = 5000, amount = 50 },
            { name = 'weed_purplehaze',   price = 5000, amount = 50 },
            { name = 'weed_ogkush',       price = 5000, amount = 50 },
            { name = 'weed_amnesia',      price = 5000, amount = 50 },
            { name = 'weed_ak47',         price = 5000, amount = 50 },
            { name = 'markedbills',       price = 5000, amount = 50, info = { worth = 5000 } },
        }
    }
}


TZMCGunVanConfig.InteractText = "Press ~INPUT_CONTEXT~ to purchase weapons from the Gun Van"
TZMCGunVanConfig.DebugMode = false
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tzmc.dev/docs/standalone/black-market-van/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
